package comerr-dev 2.1-1.41.3-1ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 1

Bug #330049 reported by tatojo on 2009-02-16
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
e2fsprogs (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: comerr-dev

manuel@mlm-aa1:~$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10
manuel@mlm-aa1:~$ apt-cache policy comerr-dev
comerr-dev:
  Installed: 2.1-1.41.3-1ubuntu1
  Candidate: 2.1-1.41.3-1ubuntu1
  Version table:
 *** 2.1-1.41.3-1ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
manuel@mlm-aa1:~$

3) Update Ubuntu
4) Error reported

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 8.10
ErrorMessage: subprocess post-installation script returned error exit status 1
NonfreeKernelModules: ath_hal
Package: comerr-dev 2.1-1.41.3-1ubuntu1
SourcePackage: e2fsprogs
Title: package comerr-dev 2.1-1.41.3-1ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 1
Uname: Linux 2.6.27-11-generic i686

tatojo (manuel-mlmateos) wrote :
Theodore Ts'o (tytso) wrote :

I can't reproduce it. I'm pretty sure the failing command in the postinstall script is:

install-info --quiet /usr/share/info/com_err.info

... but that doesn't fail for me.

Furthermore, the reported error message in dpkgTerminalLog.txt:

install-info: No dir file specified; try --help for more information.

doesn't appear in the perl script which is /usr/sbin/install-info.

So I don't know what to tell you.... in any case, this works just fine on my Ubuntu system, and everyone else's Debian systems, so it looks like some kind of local issue....

tatojo (manuel-mlmateos) wrote :

Actually I don't know, but the problem continues:
manuel@mlm-aa1:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
6 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]?
Setting up comerr-dev (2.1-1.41.3-1ubuntu1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing comerr-dev (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of libkrb5-dev:
 libkrb5-dev depends on comerr-dev; however:
  Package comerr-dev is not configured yet.
dpkg: error processing libkrb5-dev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libpq-dev:
 libpq-dev depends on libkrb5-dev; however:
  Package libkrb5-dev is not configured yet.
 libpq-dev depends on comerr-dev; however:
  Package comerr-dev is not configured yet.
dpkg: error processing libpq-dev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libqt4-dev:
 libqt4-dev depends on libpq-dev; however:
  Package libpq-dev is not configured yet.
dpkg: error processing libqt4-dev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libqt4-opengl-dev:
No apport report written because the error message indicates its a followup error from a previous failure.
                          No apport report written because the error message indicates its a followup error from a previous failure.
                                                    No apport report written because MaxReports is reached already
                                  No apport report written because MaxReports is reached already
                 libqt4-opengl-dev depends on libqt4-dev (= 4.4.3-0ubuntu1.2); however:
  Package libqt4-dev is not configured yet.
dpkg: error processing libqt4-opengl-dev (--configure):
 dependency problems - leaving unconfigured
Setting up sharutils (1:4.6.3-1build1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing sharutils (--configure):
 subprocess post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 comerr-dev
 libkrb5-dev
 libpq-dev
 libqt4-dev
 libqt4-opengl-dev
 sharutils
E: Sub-process /usr/bin/dpkg returned an error code (1)
manuel@mlm-aa1:~$

tatojo (manuel-mlmateos) wrote :

manuel@mlm-aa1:~$ sudo install-info --quiet /usr/share/info/com_err.info
[sudo] password for manuel:
install-info: No dir file specified; try --help for more information.
manuel@mlm-aa1:~$

Adrian Xiao (xiaozhe20001) wrote :

It seems that you have installed GNU texinfo which will override debian install-info.
You could run "install-info --version" to see which install-info you're using now.
It should be like:

Debian install-info version 1.14.20ubuntu1.

Copyright (C) 1994,1995 Ian Jackson.
This is free software; see the GNU General Public Licence version 2 or
later for copying conditions. There is NO warranty.

Thomas Ruoff (thomasruoff) wrote :

Hi,

arg, when installing TexLive 2008 with their installer indeed GNUs texinfo was installed too.

Instead of symlinking all binaries to /usr/local/bin a added the paths to my shell.
System behaves again :)

Thx for the hint!

Thank you for your message Adrian,
This is what I got when running "install-info --version". Do you have
any idea to proceed after?
manuel@mlm-aa1:~$ install-info --version
install-info (GNU texinfo) 4.12

Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
manuel@mlm-aa1:~$

Regards
Manuel

Adrian Xiao wrote:
> It seems that you have installed GNU texinfo which will override debian install-info.
> You could run "install-info --version" to see which install-info you're using now.
> It should be like:
>
> Debian install-info version 1.14.20ubuntu1.
>
> Copyright (C) 1994,1995 Ian Jackson.
> This is free software; see the GNU General Public Licence version 2 or
> later for copying conditions. There is NO warranty.
>
>

Zabuza Momochi (zabuza-spam) wrote :

Refer to this blog post. Helpful.

Similar to Thomas Ruff's solution

http://naveendageek.blogspot.com/2009/03/install-info-no-dir-file-specified-try.html

Marking invalid. Not a problem with e2fsprogs.

Changed in e2fsprogs (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers